/*
Where did it go wrong? Marriage and divorce in Malawi
Laurens Cherchye, Bram De Rock, Frederic Vermeulen and Selma Walther
Quantitative Economics

Replication do-file
*/

*Table 1
*see Excel file "MLSFH Divorce reasons, all marriages"

*Table 2
use "divorce_Malawi_data.dta", clear
svy, subpop(sample): mean age_h noedu primary secondary  childtot landtot rexpagg publicshare privateshare_w privateshare_m nonasshare

*Table 3
use "divorce_Malawi_data.dta", clear
merge 1:1 case_id using "results_DeviationalVariables_RelativeTo_y_avg.dta", update replace
drop _merge

svy, subpop(sample): mean share wages1 wages2 landinc1 landinc2 NLI1 NLI2  NBP_f1 NBP_f2 NBP_m1 NBP_m2 IR_1 IR_2
svy, subpop(sample): mean Pi_plus_y_village_avg Pi_min_y_village_avg Piaa_y_village_avg
tabulate Pi_plus_y_village_avg if sample==1
tabulate Pi_min_y_village_avg if sample==1
tabulate Piaa_y_village_avg if sample==1

*Table 4
use divorce_Malawi_data.dta, clear
tab divorced_in_2013 if sample==1
tab single_w if sample==1
tab remarried_w if sample==1
tab single_m if sample==1
tab remarried_m if sample==1

*Table 5
use divorce_Malawi_data.dta, clear
svy, subpop(if sample==1 & divorced_in_2013==1): mean NBP_f1  NBP_f2 NBP_m1 NBP_m2 IR_1 age_h childtot landtot rexpagg
svy, subpop(if sample==1 & divorced_in_2013==0): mean NBP_f1  NBP_f2 NBP_m1 NBP_m2 IR_1 age_h childtot landtot rexpagg

*Table 6
use divorce_Malawi_data.dta, clear
svy, subpop(sample): reg divorced_in_2013  NBP_f1 NBP_m1 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w   childtot i.clusterid
svy, subpop(sample): reg divorced_in_2013  NBP_f1 NBP_m1 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.clusterid sameage sameedu
svy, subpop(sample): reg divorced_in_2013  NBP_f2 NBP_m2 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w   childtot i.clusterid
svy, subpop(sample): reg divorced_in_2013  NBP_f2 NBP_m2 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w  childtot i.clusterid sameage sameedu

*Table 7
use divorce_Malawi_data.dta, clear
svy, subpop(sample): reg divorced_in_2013  NBP_f1 NBP_m1 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.clusterid sameage sameedu share
svy, subpop(sample): reg divorced_in_2013  NBP_f1 NBP_m1 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.clusterid sameage sameedu share publicshare
svy, subpop(sample): reg divorced_in_2013  NBP_f2 NBP_m2 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w  childtot i.clusterid sameage sameedu share
svy, subpop(sample): reg divorced_in_2013  NBP_f2 NBP_m2 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w  childtot i.clusterid sameage sameedu share publicshare

*Table 8
use divorce_Malawi_data.dta, clear
svy, subpop(sample): reg remarried_w  NBP_f1 NBP_m1 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.clusterid sameage sameedu
svy, subpop(sample): reg single_w  NBP_f1 NBP_m1 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.clusterid sameage sameedu
svy, subpop(sample): reg remarried_m  NBP_f1 NBP_m1 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.clusterid sameage sameedu
svy, subpop(sample): reg single_m  NBP_f1 NBP_m1 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.clusterid sameage sameedu

*Table 9
use divorce_Malawi_data.dta, clear
svy, subpop(sample): reg divorced_in_2013  NBP_f1 NBP_m1 IR_1 age_NBPm1 age_NBPf1 headedlevel2 headedlevel3 headedlevel4 age_h age_w  childtot i.clusterid sameage sameedu
svy, subpop(sample): reg divorced_in_2013  NBP_f1 NBP_m1 IR_1 sameage_NBPm1 sameage_NBPf1 headedlevel2 headedlevel3 headedlevel4 age_h age_w  childtot i.clusterid sameage sameedu
svy, subpop(sample): reg divorced_in_2013  NBP_f1 NBP_m1 IR_1 sex_NBPm1 sex_NBPf1 sexratio headedlevel2 headedlevel3 headedlevel4 age_h age_w   childtot i.clusterid sameage sameedu
svy, subpop(sample): reg divorced_in_2013  NBP_f1 NBP_m1 IR_1 sameedu_NBPm1 sameedu_NBPf1 headedlevel2 headedlevel3 headedlevel4 age_h age_w   childtot i.clusterid sameage sameedu
svy, subpop(sample): reg divorced_in_2013  NBP_f1 NBP_m1 IR_1 child_NBPm1 child_NBPf1 headedlevel2 headedlevel3 headedlevel4 age_h age_w  childtot i.clusterid sameage sameedu

*Table 10
*See separate do-file

*Table 11
use divorce_Malawi_data.dta, clear
svy, subpop(sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool
svy, subpop(sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool
svy, subpop(sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool
svy, subpop(sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool
svy, subpop(sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool

*Table 12
do table12.do

*Table 13
do table13.do

*Table 14
do table14.do

*Table 15
use divorce_Malawi_data.dta, clear
svy, subpop(sample): logit divorced_in_2013  NBP_f1 NBP_m1 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w   childtot i.clusterid sameage sameedu
eststo margin: margins, dydx(NBP_f1 NBP_m1 IR_1) vce(unconditional) subpop(if sample==1) post atmeans
svy, subpop(sample): logit divorced_in_2013  NBP_f2 NBP_m2 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w   childtot i.clusterid sameage sameedu
eststo margin: margins, dydx(NBP_f2 NBP_m2 IR_1) vce(unconditional) subpop(if sample==1) post atmeans

*Table 16
use divorce_Malawi_data.dta, clear
svy, subpop(sample): reg divorced_in_2013  NBP_f95 NBP_m95 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.clusterid sameage sameedu

*Table 17
use divorce_Malawi_data.dta, clear
svy, subpop(sample): reg remarried_w  NBP_f2 NBP_m2 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.clusterid sameage sameedu
svy, subpop(sample): reg single_w  NBP_f2 NBP_m2 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.clusterid sameage sameedu
svy, subpop(sample): reg remarried_m  NBP_f2 NBP_m2 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.clusterid sameage sameedu
svy, subpop(sample): reg single_m  NBP_f2 NBP_m2 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.clusterid sameage sameedu

*Table 18
use divorce_Malawi_data.dta, clear
svy, subpop(sample): mlogit status_w  NBP_f1 NBP_m1 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.district_w size_c sameage sameedu, base(3) rrr
svy, subpop(sample): mlogit status_m  NBP_f1 NBP_m1 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.district_m size_c sameage sameedu, base(3) rrr

*Table 19
use divorce_Malawi_data.dta, clear
svy, subpop(sample): mlogit status_w  NBP_f2 NBP_m2 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.district_w size_c sameage sameedu, base(3) rrr
svy, subpop(sample): mlogit status_m  NBP_f2 NBP_m2 IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot i.district_m size_c sameage sameedu, base(3) rrr

*Table 20
use divorce_Malawi_data.dta, clear
svy, subpop(sample): reg divorced_in_2013  NBP_f2 NBP_m2 IR_1 age_NBPm2 age_NBPf2 headedlevel2 headedlevel3 headedlevel4 age_h age_w  childtot i.clusterid sameage sameedu
svy, subpop(sample): reg divorced_in_2013  NBP_f2 NBP_m2 IR_1 sameage_NBPm2 sameage_NBPf2 headedlevel2 headedlevel3 headedlevel4 age_h age_w  childtot i.clusterid sameage sameedu
svy, subpop(sample): reg divorced_in_2013  NBP_f2 NBP_m2 IR_1 sex_NBPm2 sex_NBPf2 sexratio headedlevel2 headedlevel3 headedlevel4 age_h age_w   childtot i.clusterid sameage sameedu
svy, subpop(sample): reg divorced_in_2013  NBP_f2 NBP_m2 IR_1 sameedu_NBPm2 sameedu_NBPf2 headedlevel2 headedlevel3 headedlevel4 age_h age_w   childtot i.clusterid sameage sameedu
svy, subpop(sample): reg divorced_in_2013  NBP_f2 NBP_m2 IR_1 child_NBPm2 child_NBPf2 headedlevel2 headedlevel3 headedlevel4 age_h age_w  childtot i.clusterid sameage sameedu
