*Robustness check: the impact of alternative values of the tuning parameter alpha (appendix D)

use "divorce_Malawi_data.dta", clear
merge 1:1 case_id using "results_robustness.dta", update replace
drop _merge
merge 1:1 case_id using "results_weight_both_1000000.dta", update replace
drop _merge

*Correcting variables
replace IR1=0 if IR1<0 
replace IR2=0 if IR2<0
replace NBP_female_1=0 if NBP_female_1<0
replace NBP_female_2=0 if NBP_female_2<0
replace NBP_male_1=0 if NBP_male_1<0
replace NBP_male_2=0 if NBP_male_2<0

*Correcting variables
replace IR1_100=0 if IR1_100<0 
replace IR2_100=0 if IR2_100<0
replace NBP_female_1_100=0 if NBP_female_1_100<0
replace NBP_female_2_100=0 if NBP_female_2_100<0
replace NBP_male_1_100=0 if NBP_male_1_100<0
replace NBP_male_2_100=0 if NBP_male_2_100<0

replace IR1_1000=0 if IR1_1000<0 
replace IR2_1000=0 if IR2_1000<0
replace NBP_female_1_1000=0 if NBP_female_1_1000<0
replace NBP_female_2_1000=0 if NBP_female_2_1000<0
replace NBP_male_1_1000=0 if NBP_male_1_1000<0
replace NBP_male_2_1000=0 if NBP_male_2_1000<0

replace IR1_10000=0 if IR1_10000<0 
replace IR2_10000=0 if IR2_10000<0
replace NBP_female_1_10000=0 if NBP_female_1_10000<0
replace NBP_female_2_10000=0 if NBP_female_2_10000<0
replace NBP_male_1_10000=0 if NBP_male_1_10000<0
replace NBP_male_2_10000=0 if NBP_male_2_10000<0

replace IR1_100000=0 if IR1_100000<0 
replace IR2_100000=0 if IR2_100000<0
replace NBP_female_1_100000=0 if NBP_female_1_100000<0
replace NBP_female_2_100000=0 if NBP_female_2_100000<0
replace NBP_male_1_100000=0 if NBP_male_1_100000<0
replace NBP_male_2_100000=0 if NBP_male_2_100000<0

replace IR1_1000000=0 if IR1_1000000<0 
replace IR2_1000000=0 if IR2_1000000<0
replace NBP_female_1_1000000=0 if NBP_female_1_1000000<0
replace NBP_female_2_1000000=0 if NBP_female_2_1000000<0
replace NBP_male_1_1000000=0 if NBP_male_1_1000000<0
replace NBP_male_2_1000000=0 if NBP_male_2_1000000<0

*We do not use the normalisation by totalincome 
correlate landprice landprice_100000 landprice_10000 landprice_1000 landprice_100  if sample==1 
correlate wages2 wages2_100000 wages2_10000 wages2_1000 wages2_100  if sample==1 
correlate wages1 wages1_100000 wages1_10000 wages1_1000 wages1_100  if sample==1 
correlate NBP_female_1 NBP_female_1_100000 NBP_female_1_10000 NBP_female_1_1000 NBP_female_1_100  if sample==1 
correlate NBP_male_1 NBP_male_1_100000 NBP_male_1_10000 NBP_male_1_1000 NBP_male_1_100 if sample==1 
correlate NBP_female_2 NBP_female_2_100000 NBP_female_2_10000 NBP_female_2_1000 NBP_female_2_100  if sample==1   
correlate NBP_male_2 NBP_male_2_100000 NBP_male_2_10000 NBP_male_2_1000 NBP_male_2_100 if sample==1 
correlate IR1 IR1_100000 IR1_10000 IR1_1000 IR1_100  if sample==1 
