/*
Where did it go wrong? Marriage and divorce in Malawi
Laurens Cherchye, Bram De Rock, Frederic Vermeulen and Selma Walther
Quantitative Economics

Replication do-file
TABLE 12
*/

use divorce_Malawi_data.dta, clear

gen t12_sample=.
replace t12_sample=1 if sample==1 & !missing(headedlevel2) &!missing(age_h) &!missing(age_w) &!missing(childtot) &!missing(sameage) &!missing(sameedu) &!missing(road_cluster) &!missing(urban_cluster) &!missing(churches_cluster) &!missing(size_c) &!missing(literacy) &!missing(femaleedu) &!missing(childschool)

quietly: svy, subpop(t12_sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar full_model_r2=e(r2)
quietly: svy, subpop(t12_sample): reg NBP_f1 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool
quietly: scalar head_ed_r2=e(r2)
scalar diff_1 = full_model_r2 - head_ed_r2
quietly: svy, subpop(t12_sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar age_r2=e(r2)
scalar diff_2 = full_model_r2 - age_r2
quietly: svy, subpop(t12_sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar childtot_r2=e(r2)
scalar diff_3 = full_model_r2 - childtot_r2
quietly: svy, subpop(t12_sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar same_r2=e(r2)
scalar diff_4 = full_model_r2 - same_r2
quietly: svy, subpop(t12_sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu  churches_cluster size_c literacy femaleedu childschool  
quietly: scalar road_cluster_r2=e(r2)
scalar diff_5 = full_model_r2 - road_cluster_r2
quietly: svy, subpop(t12_sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar urban_cluster_r2=e(r2)
scalar diff_6 = full_model_r2 - urban_cluster_r2
quietly: svy, subpop(t12_sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster size_c literacy femaleedu childschool  
quietly: scalar churches_cluster_r2=e(r2)
scalar diff_7 = full_model_r2 - churches_cluster_r2
quietly: svy, subpop(t12_sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster literacy femaleedu childschool  
quietly: scalar sizec_r2=e(r2)
scalar diff_8 = full_model_r2 - sizec_r2
quietly: svy, subpop(t12_sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c femaleedu childschool  
quietly: scalar literacy_r2=e(r2)
scalar diff_9 = full_model_r2 - literacy_r2
quietly: svy, subpop(t12_sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy childschool  
quietly: scalar femaleedu_r2=e(r2)
scalar diff_10 = full_model_r2 - femaleedu_r2
quietly: svy, subpop(t12_sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu  
quietly: scalar childschool_r2=e(r2)
scalar diff_11 = full_model_r2 - childschool_r2
scalar list diff_1 diff_2 diff_3 diff_4 diff_5 diff_6 diff_7 diff_8 diff_9 diff_10 diff_11
matrix NBP_f1 = (diff_1\diff_2\diff_3\diff_4\diff_5\diff_6\diff_7\diff_8\diff_9\diff_10\diff_11\5943)

*Table 11 NBP_f2
quietly: svy, subpop(t12_sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar full_model_r2=e(r2)
quietly: svy, subpop(t12_sample): reg NBP_f2 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool
quietly: scalar head_ed_r2=e(r2)
scalar diff_1 = full_model_r2 - head_ed_r2
quietly: svy, subpop(t12_sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar age_r2=e(r2)
scalar diff_2 = full_model_r2 - age_r2
quietly: svy, subpop(t12_sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar childtot_r2=e(r2)
scalar diff_3 = full_model_r2 - childtot_r2
quietly: svy, subpop(t12_sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar same_r2=e(r2)
scalar diff_4 = full_model_r2 - same_r2
quietly: svy, subpop(t12_sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu  churches_cluster size_c literacy femaleedu childschool  
quietly: scalar road_cluster_r2=e(r2)
scalar diff_5 = full_model_r2 - road_cluster_r2
quietly: svy, subpop(t12_sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar urban_cluster_r2=e(r2)
scalar diff_6 = full_model_r2 - urban_cluster_r2
quietly: svy, subpop(t12_sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster size_c literacy femaleedu childschool  
quietly: scalar churches_cluster_r2=e(r2)
scalar diff_7 = full_model_r2 - churches_cluster_r2
quietly: svy, subpop(t12_sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster literacy femaleedu childschool  
quietly: scalar sizec_r2=e(r2)
scalar diff_8 = full_model_r2 - sizec_r2
quietly: svy, subpop(t12_sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c femaleedu childschool  
quietly: scalar literacy_r2=e(r2)
scalar diff_9 = full_model_r2 - literacy_r2
quietly: svy, subpop(t12_sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy childschool  
quietly: scalar femaleedu_r2=e(r2)
scalar diff_10 = full_model_r2 - femaleedu_r2
quietly: svy, subpop(t12_sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu  
quietly: scalar childschool_r2=e(r2)
scalar diff_11 = full_model_r2 - childschool_r2
scalar list diff_1 diff_2 diff_3 diff_4 diff_5 diff_6 diff_7 diff_8 diff_9 diff_10 diff_11
matrix NBP_f2 = (diff_1\diff_2\diff_3\diff_4\diff_5\diff_6\diff_7\diff_8\diff_9\diff_10\diff_11\5943)

*Table 11 NBP_m1
quietly: svy, subpop(t12_sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar full_model_r2=e(r2)
quietly: svy, subpop(t12_sample): reg NBP_m1 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool
quietly: scalar head_ed_r2=e(r2)
scalar diff_1 = full_model_r2 - head_ed_r2
quietly: svy, subpop(t12_sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar age_r2=e(r2)
scalar diff_2 = full_model_r2 - age_r2
quietly: svy, subpop(t12_sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar childtot_r2=e(r2)
scalar diff_3 = full_model_r2 - childtot_r2
quietly: svy, subpop(t12_sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar same_r2=e(r2)
scalar diff_4 = full_model_r2 - same_r2
quietly: svy, subpop(t12_sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu  churches_cluster size_c literacy femaleedu childschool  
quietly: scalar road_cluster_r2=e(r2)
scalar diff_5 = full_model_r2 - road_cluster_r2
quietly: svy, subpop(t12_sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar urban_cluster_r2=e(r2)
scalar diff_6 = full_model_r2 - urban_cluster_r2
quietly: svy, subpop(t12_sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster size_c literacy femaleedu childschool  
quietly: scalar churches_cluster_r2=e(r2)
scalar diff_7 = full_model_r2 - churches_cluster_r2
quietly: svy, subpop(t12_sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster literacy femaleedu childschool  
quietly: scalar sizec_r2=e(r2)
scalar diff_8 = full_model_r2 - sizec_r2
quietly: svy, subpop(t12_sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c femaleedu childschool  
quietly: scalar literacy_r2=e(r2)
scalar diff_9 = full_model_r2 - literacy_r2
quietly: svy, subpop(t12_sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy childschool  
quietly: scalar femaleedu_r2=e(r2)
scalar diff_10 = full_model_r2 - femaleedu_r2
quietly: svy, subpop(t12_sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu  
quietly: scalar childschool_r2=e(r2)
scalar diff_11 = full_model_r2 - childschool_r2
scalar list diff_1 diff_2 diff_3 diff_4 diff_5 diff_6 diff_7 diff_8 diff_9 diff_10 diff_11
matrix NBP_m1 = (diff_1\diff_2\diff_3\diff_4\diff_5\diff_6\diff_7\diff_8\diff_9\diff_10\diff_11\5943)

*Table 11 NBP_m2
quietly: svy, subpop(t12_sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar full_model_r2=e(r2)
quietly: svy, subpop(t12_sample): reg NBP_m2 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool
quietly: scalar head_ed_r2=e(r2)
scalar diff_1 = full_model_r2 - head_ed_r2
quietly: svy, subpop(t12_sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar age_r2=e(r2)
scalar diff_2 = full_model_r2 - age_r2
quietly: svy, subpop(t12_sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar childtot_r2=e(r2)
scalar diff_3 = full_model_r2 - childtot_r2
quietly: svy, subpop(t12_sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar same_r2=e(r2)
scalar diff_4 = full_model_r2 - same_r2
quietly: svy, subpop(t12_sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu  churches_cluster size_c literacy femaleedu childschool  
quietly: scalar road_cluster_r2=e(r2)
scalar diff_5 = full_model_r2 - road_cluster_r2
quietly: svy, subpop(t12_sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar urban_cluster_r2=e(r2)
scalar diff_6 = full_model_r2 - urban_cluster_r2
quietly: svy, subpop(t12_sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster size_c literacy femaleedu childschool  
quietly: scalar churches_cluster_r2=e(r2)
scalar diff_7 = full_model_r2 - churches_cluster_r2
quietly: svy, subpop(t12_sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster literacy femaleedu childschool  
quietly: scalar sizec_r2=e(r2)
scalar diff_8 = full_model_r2 - sizec_r2
quietly: svy, subpop(t12_sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c femaleedu childschool  
quietly: scalar literacy_r2=e(r2)
scalar diff_9 = full_model_r2 - literacy_r2
quietly: svy, subpop(t12_sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy childschool  
quietly: scalar femaleedu_r2=e(r2)
scalar diff_10 = full_model_r2 - femaleedu_r2
quietly: svy, subpop(t12_sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu  
quietly: scalar childschool_r2=e(r2)
scalar diff_11 = full_model_r2 - childschool_r2
scalar list diff_1 diff_2 diff_3 diff_4 diff_5 diff_6 diff_7 diff_8 diff_9 diff_10 diff_11
matrix NBP_m2 = (diff_1\diff_2\diff_3\diff_4\diff_5\diff_6\diff_7\diff_8\diff_9\diff_10\diff_11\5943)

*Table 11 IR_1
quietly: svy, subpop(t12_sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar full_model_r2=e(r2)
quietly: svy, subpop(t12_sample): reg IR_1 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool
quietly: scalar head_ed_r2=e(r2)
scalar diff_1 = full_model_r2 - head_ed_r2
quietly: svy, subpop(t12_sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar age_r2=e(r2)
scalar diff_2 = full_model_r2 - age_r2
quietly: svy, subpop(t12_sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar childtot_r2=e(r2)
scalar diff_3 = full_model_r2 - childtot_r2
quietly: svy, subpop(t12_sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar same_r2=e(r2)
scalar diff_4 = full_model_r2 - same_r2
quietly: svy, subpop(t12_sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu churches_cluster size_c literacy femaleedu childschool  
quietly: scalar road_cluster_r2=e(r2)
scalar diff_5 = full_model_r2 - road_cluster_r2
quietly: svy, subpop(t12_sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster churches_cluster size_c literacy femaleedu childschool  
quietly: scalar urban_cluster_r2=e(r2)
scalar diff_6 = full_model_r2 - urban_cluster_r2
quietly: svy, subpop(t12_sample): reg IR_1  headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster size_c literacy femaleedu childschool  
quietly: scalar churches_cluster_r2=e(r2)
scalar diff_7 = full_model_r2 - churches_cluster_r2
quietly: svy, subpop(t12_sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster literacy femaleedu childschool  
quietly: scalar sizec_r2=e(r2)
scalar diff_8 = full_model_r2 - sizec_r2
quietly: svy, subpop(t12_sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c femaleedu childschool  
quietly: scalar literacy_r2=e(r2)
scalar diff_9 = full_model_r2 - literacy_r2
quietly: svy, subpop(t12_sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy childschool  
quietly: scalar femaleedu_r2=e(r2)
scalar diff_10 = full_model_r2 - femaleedu_r2
quietly: svy, subpop(t12_sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu  
quietly: scalar childschool_r2=e(r2)
scalar diff_11 = full_model_r2 - childschool_r2
scalar list diff_1 diff_2 diff_3 diff_4 diff_5 diff_6 diff_7 diff_8 diff_9 diff_10 diff_11
matrix IR_1 = (diff_1\diff_2\diff_3\diff_4\diff_5\diff_6\diff_7\diff_8\diff_9\diff_10\diff_11\5943)

*final matrix
matrix final = (NBP_f1, NBP_f2, NBP_m1, NBP_m2, IR_1)
matrix rownames final = Head_Education_Level Ages_of_Spouse No_of_Children Similar Distance_of_Road Distance_to_city No_Churches Sizec Literacy Femaleedu Childschool N
matrix colnames final = "BPmax (w)" "BPavg (w)" "BPmax (m)" "BPavg (m)" "IR (m)"
esttab matrix(final, fmt("3 3 3 3 3 3 3 3 3 3 3 0")) using table12.doc, replace

