/*
Where did it go wrong? Marriage and divorce in Malawi
Laurens Cherchye, Bram De Rock, Frederic Vermeulen and Selma Walther
Quantitative Economics

Replication do-file
TABLE 13
*/

use divorce_Malawi_data.dta, clear

*Table 13 NBP_f1
quietly: svy, subpop(sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar full_model_r2=e(r2)
quietly: svy, subpop(sample): reg NBP_f1 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar head_ed_r2=e(r2)
scalar diff_1 = full_model_r2 - head_ed_r2
quietly: svy, subpop(sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar age_r2=e(r2)
scalar diff_2 = full_model_r2 - age_r2
quietly: svy, subpop(sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar childtot_r2=e(r2)
scalar diff_3 = full_model_r2 - childtot_r2
quietly: svy, subpop(sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar same_r2=e(r2)
scalar diff_4 = full_model_r2 - same_r2
quietly: svy, subpop(sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar dist_r2=e(r2)
scalar diff_5 = full_model_r2 - dist_r2
quietly: svy, subpop(sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar church_r2=e(r2)
scalar diff_6 = full_model_r2 - church_r2
quietly: svy, subpop(sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar size_c_r2=e(r2)
scalar diff_7 = full_model_r2 - size_c_r2
quietly: svy, subpop(sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster size_c femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar literacy_r2=e(r2)
scalar diff_8 = full_model_r2 - literacy_r2
quietly: svy, subpop(sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar female_ed_r2=e(r2)
scalar diff_9 = full_model_r2 - female_ed_r2
quietly: svy, subpop(sample): reg NBP_f1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar ch_school_r2=e(r2)
scalar diff_10 = full_model_r2 - ch_school_r2
quietly: svy, subpop(sample): reg NBP_f1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar wages_r2=e(r2)
scalar diff_11 = full_model_r2 - wages_r2
quietly: svy, subpop(sample): reg NBP_f1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 landinc1 landinc2 fertiliser  
quietly: scalar NLI_r2=e(r2)
scalar diff_12 = full_model_r2 - NLI_r2
quietly: svy, subpop(sample): reg NBP_f1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 fertiliser  
quietly: scalar landinc_r2=e(r2)
scalar diff_13 = full_model_r2 - landinc_r2
quietly: svy, subpop(sample): reg NBP_f1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2  
quietly: scalar fertiliser_r2=e(r2)
scalar diff_14 = full_model_r2 - fertiliser_r2

scalar list diff_1 diff_2 diff_3 diff_4 diff_5 diff_6 diff_7 diff_8 diff_9 diff_10 diff_11 diff_12 diff_13 diff_14 
matrix NBP_f1 = (diff_1\diff_2\diff_3\diff_4\diff_5\diff_6\diff_7\diff_8\diff_8\diff_10\diff_11\diff_12\diff_13\diff_14\5943)

*Table 13 NBP_f2
quietly: svy, subpop(sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar full_model_r2=e(r2)
quietly: svy, subpop(sample): reg NBP_f2 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar head_ed_r2=e(r2)
scalar diff_1 = full_model_r2 - head_ed_r2
quietly: svy, subpop(sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar age_r2=e(r2)
scalar diff_2 = full_model_r2 - age_r2
quietly: svy, subpop(sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar childtot_r2=e(r2)
scalar diff_3 = full_model_r2 - childtot_r2
quietly: svy, subpop(sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar same_r2=e(r2)
scalar diff_4 = full_model_r2 - same_r2
quietly: svy, subpop(sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar dist_r2=e(r2)
scalar diff_5 = full_model_r2 - dist_r2
quietly: svy, subpop(sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar church_r2=e(r2)
scalar diff_6 = full_model_r2 - church_r2
quietly: svy, subpop(sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar size_c_r2=e(r2)
scalar diff_7 = full_model_r2 - size_c_r2
quietly: svy, subpop(sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster size_c femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar literacy_r2=e(r2)
scalar diff_8 = full_model_r2 - literacy_r2
quietly: svy, subpop(sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar female_ed_r2=e(r2)
scalar diff_9 = full_model_r2 - female_ed_r2
quietly: svy, subpop(sample): reg NBP_f2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar ch_school_r2=e(r2)
scalar diff_10 = full_model_r2 - ch_school_r2
quietly: svy, subpop(sample): reg NBP_f2 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar wages_r2=e(r2)
scalar diff_11 = full_model_r2 - wages_r2
quietly: svy, subpop(sample): reg NBP_f2 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 landinc1 landinc2 fertiliser  
quietly: scalar NLI_r2=e(r2)
scalar diff_12 = full_model_r2 - NLI_r2
quietly: svy, subpop(sample): reg NBP_f2 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 fertiliser  
quietly: scalar landinc_r2=e(r2)
scalar diff_13 = full_model_r2 - landinc_r2
quietly: svy, subpop(sample): reg NBP_f2 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2  
quietly: scalar fertiliser_r2=e(r2)
scalar diff_14 = full_model_r2 - fertiliser_r2

scalar list diff_1 diff_2 diff_3 diff_4 diff_5 diff_6 diff_7 diff_8 diff_9 diff_10 diff_11 diff_12 diff_13 diff_14
matrix NBP_f2 = (diff_1\diff_2\diff_3\diff_4\diff_5\diff_6\diff_7\diff_8\diff_8\diff_10\diff_11\diff_12\diff_13\diff_14\5943)

*Table 13 NBP_m1
quietly: svy, subpop(sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar full_model_r2=e(r2)
quietly: svy, subpop(sample): reg NBP_m1 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar head_ed_r2=e(r2)
scalar diff_1 = full_model_r2 - head_ed_r2
quietly: svy, subpop(sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar age_r2=e(r2)
scalar diff_2 = full_model_r2 - age_r2
quietly: svy, subpop(sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar childtot_r2=e(r2)
scalar diff_3 = full_model_r2 - childtot_r2
quietly: svy, subpop(sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar same_r2=e(r2)
scalar diff_4 = full_model_r2 - same_r2
quietly: svy, subpop(sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar dist_r2=e(r2)
scalar diff_5 = full_model_r2 - dist_r2
quietly: svy, subpop(sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar church_r2=e(r2)
scalar diff_6 = full_model_r2 - church_r2
quietly: svy, subpop(sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar size_c_r2=e(r2)
scalar diff_7 = full_model_r2 - size_c_r2
quietly: svy, subpop(sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster size_c femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar literacy_r2=e(r2)
scalar diff_8 = full_model_r2 - literacy_r2
quietly: svy, subpop(sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar female_ed_r2=e(r2)
scalar diff_9 = full_model_r2 - female_ed_r2
quietly: svy, subpop(sample): reg NBP_m1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar ch_school_r2=e(r2)
scalar diff_10 = full_model_r2 - ch_school_r2
quietly: svy, subpop(sample): reg NBP_m1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar wages_r2=e(r2)
scalar diff_11 = full_model_r2 - wages_r2
quietly: svy, subpop(sample): reg NBP_m1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 landinc1 landinc2 fertiliser  
quietly: scalar NLI_r2=e(r2)
scalar diff_12 = full_model_r2 - NLI_r2
quietly: svy, subpop(sample): reg NBP_m1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 fertiliser  
quietly: scalar landinc_r2=e(r2)
scalar diff_13 = full_model_r2 - landinc_r2
quietly: svy, subpop(sample): reg NBP_m1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2  
quietly: scalar fertiliser_r2=e(r2)
scalar diff_14 = full_model_r2 - fertiliser_r2

scalar list diff_1 diff_2 diff_3 diff_4 diff_5 diff_6 diff_7 diff_8 diff_9 diff_10 diff_11 diff_12 diff_13 diff_14 
matrix NBP_m1 = (diff_1\diff_2\diff_3\diff_4\diff_5\diff_6\diff_7\diff_8\diff_8\diff_10\diff_11\diff_12\diff_13\diff_14\5943)

*Table 13 NBP_m2
quietly: svy, subpop(sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar full_model_r2=e(r2)
quietly: svy, subpop(sample): reg NBP_m2 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar head_ed_r2=e(r2)
scalar diff_1 = full_model_r2 - head_ed_r2
quietly: svy, subpop(sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar age_r2=e(r2)
scalar diff_2 = full_model_r2 - age_r2
quietly: svy, subpop(sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar childtot_r2=e(r2)
scalar diff_3 = full_model_r2 - childtot_r2
quietly: svy, subpop(sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar same_r2=e(r2)
scalar diff_4 = full_model_r2 - same_r2
quietly: svy, subpop(sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar dist_r2=e(r2)
scalar diff_5 = full_model_r2 - dist_r2
quietly: svy, subpop(sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar church_r2=e(r2)
scalar diff_6 = full_model_r2 - church_r2
quietly: svy, subpop(sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar size_c_r2=e(r2)
scalar diff_7 = full_model_r2 - size_c_r2
quietly: svy, subpop(sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster size_c femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar literacy_r2=e(r2)
scalar diff_8 = full_model_r2 - literacy_r2
quietly: svy, subpop(sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar female_ed_r2=e(r2)
scalar diff_9 = full_model_r2 - female_ed_r2
quietly: svy, subpop(sample): reg NBP_m2   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar ch_school_r2=e(r2)
scalar diff_10 = full_model_r2 - ch_school_r2
quietly: svy, subpop(sample): reg NBP_m2 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar wages_r2=e(r2)
scalar diff_11 = full_model_r2 - wages_r2
quietly: svy, subpop(sample): reg NBP_m2 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 landinc1 landinc2 fertiliser  
quietly: scalar NLI_r2=e(r2)
scalar diff_12 = full_model_r2 - NLI_r2
quietly: svy, subpop(sample): reg NBP_m2 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 fertiliser  
quietly: scalar landinc_r2=e(r2)
scalar diff_13 = full_model_r2 - landinc_r2
quietly: svy, subpop(sample): reg NBP_m2 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2  
quietly: scalar fertiliser_r2=e(r2)
scalar diff_14 = full_model_r2 - fertiliser_r2

scalar list diff_1 diff_2 diff_3 diff_4 diff_5 diff_6 diff_7 diff_8 diff_9 diff_10 diff_11 diff_12 diff_13 diff_14 
matrix NBP_m2 = (diff_1\diff_2\diff_3\diff_4\diff_5\diff_6\diff_7\diff_8\diff_8\diff_10\diff_11\diff_12\diff_13\diff_14\5943)

*Table 13 IR_1
quietly: svy, subpop(sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar full_model_r2=e(r2)
quietly: svy, subpop(sample): reg IR_1 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar head_ed_r2=e(r2)
scalar diff_1 = full_model_r2 - head_ed_r2
quietly: svy, subpop(sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar age_r2=e(r2)
scalar diff_2 = full_model_r2 - age_r2
quietly: svy, subpop(sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar childtot_r2=e(r2)
scalar diff_3 = full_model_r2 - childtot_r2
quietly: svy, subpop(sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar same_r2=e(r2)
scalar diff_4 = full_model_r2 - same_r2
quietly: svy, subpop(sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar dist_r2=e(r2)
scalar diff_5 = full_model_r2 - dist_r2
quietly: svy, subpop(sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar church_r2=e(r2)
scalar diff_6 = full_model_r2 - church_r2
quietly: svy, subpop(sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar size_c_r2=e(r2)
scalar diff_7 = full_model_r2 - size_c_r2
quietly: svy, subpop(sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster size_c femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar literacy_r2=e(r2)
scalar diff_8 = full_model_r2 - literacy_r2
quietly: svy, subpop(sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar female_ed_r2=e(r2)
scalar diff_9 = full_model_r2 - female_ed_r2
quietly: svy, subpop(sample): reg IR_1   headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu wages1 wages2 NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar ch_school_r2=e(r2)
scalar diff_10 = full_model_r2 - ch_school_r2
quietly: svy, subpop(sample): reg IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool NLI1 NLI2 landinc1 landinc2 fertiliser  
quietly: scalar wages_r2=e(r2)
scalar diff_11 = full_model_r2 - wages_r2
quietly: svy, subpop(sample): reg IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 landinc1 landinc2 fertiliser  
quietly: scalar NLI_r2=e(r2)
scalar diff_12 = full_model_r2 - NLI_r2
quietly: svy, subpop(sample): reg IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 fertiliser  
quietly: scalar landinc_r2=e(r2)
scalar diff_13 = full_model_r2 - landinc_r2
quietly: svy, subpop(sample): reg IR_1 headedlevel2 headedlevel3 headedlevel4 age_h age_w childtot  sameage sameedu road_cluster urban_cluster churches_cluster size_c literacy femaleedu childschool wages1 wages2 NLI1 NLI2 landinc1 landinc2  
quietly: scalar fertiliser_r2=e(r2)
scalar diff_14 = full_model_r2 - fertiliser_r2

scalar list diff_1 diff_2 diff_3 diff_4 diff_5 diff_6 diff_7 diff_8 diff_9 diff_10 diff_11 diff_12 diff_13 diff_14 
matrix IR_1 = (diff_1\diff_2\diff_3\diff_4\diff_5\diff_6\diff_7\diff_8\diff_8\diff_10\diff_11\diff_12\diff_13\diff_14\5943)

*final matrix
matrix final = (NBP_f1, NBP_f2, NBP_m1, NBP_m2, IR_1)
matrix rownames final = Head_ed Age Childtot Same Distance Church Size_c Literacy Female_ed Ch_School Wages NLI Landinc Fertiliser   N
matrix colnames final = "BPmax (w)" "BPavg (w)" "BPmax (m)" "BPavg (m)" "IR (m)"
esttab matrix(final, fmt("3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 0")) using table13_components_all.tex, replace
