clear all; %clc

load MatchingData_annual_weak_c.txt

% De kolommen bevatten de volgende informatie: 
% MO1: dat nonlaborincome een consumption based measure is, wat de negatieve getallen verklaart.
% MO2: 1=male, 2 =female.
% (1) leisure_w; (2) leisure_m; (3) domlab_w; (4) domlab_m; (5) rexp_private_woman; (6) rexp_private_man; 
% (7) rexp_private_nonass; (8) rexp_public; (9) rexpagg (total annual real consumption); (10) land_w; (11) land_m; (12) land_hh; (13) land rented; (14) other_input; 
% (15) dom_output; (16) region (1: north, 2: central; 3: south); (17) district (+/- 30 in total); 
% (18) hhsize; (19) ea_id (villageID);  (20) estimated value of land owned by female; (21) estimated value of land owned by male; 
% (22) estimated rented per acre (for 12 months); (23) median wage female in district; (24) median wage male in district; 
% (25) month of interview;  (26) land owned jointly by male and female; (27) other_land (disappears after divorce).

Data=MatchingData_annual_weak_c;
size(Data);

%number of households
nobs=size(Data,1)

Data=Data(1:nobs,:);

%define data entries for selected village
output=Data(:,15);

Profit_min = load('results - 2019 - tomlab/ALL_Profit_Ineff_min_MALAWI.txt');
Profit_plus = load('results - 2019 - tomlab/ALL_Profit_Ineff_plus_MALAWI.txt');
Profit_aa = load('results - 2019 - tomlab/ALL_Profit_Ineff_aa_MALAWI.txt');

%% Express the profit efficiency deviations relative to the average output in the village
y_avg=zeros(0,1); %vector with average output in the village
Pi_aa_relativeto_y_avg=zeros(0,1); %vector with average profit efficiency of person a (considering each a' in the village of a), divided by the average output in the village


% identify number of villages en number of households per village
village = Data(:,19);
villagenumber=1; % village umber will identify the number of different villages
villageid=village(1,1); %initialize village-id
for i=1:nobs
    if village(i,1) ~= villageid
        villagenumber=villagenumber+1;
        villageid=village(i,1);
    end
end

villagenumber

Data =[Data zeros(nobs,1)]; %add row for villageid
newcolnr=size(Data,2);

obspervillage=zeros(villagenumber,1); % obspervillage will contain number of households per village
idpervillage=zeros(villagenumber,3);


k=1; %begin with row 1 for first village
villageid=village(1,1);
for i=1:nobs
    if village(i,1) == villageid
        obspervillage(k,1)=obspervillage(k,1)+1;
        idpervillage(k,1)=k;
        idpervillage(k,2)=village(i,1);
        Data(i,newcolnr)=k;
    else
        k=k+1;
        villageid=village(i,1);
        obspervillage(k,1)=obspervillage(k,1)+1;
        Data(i,newcolnr)=k;
    end
end
idpervillage(:,3)=obspervillage;

endrows=0

%% analysis per village
for k=1:villagenumber

k
nobs=obspervillage(k,1);
beginrows=endrows+1;
endrows=endrows+nobs;
Dataselect=Data(beginrows:endrows,:);

%define data entries for selected village
output=Dataselect(:,15);

Pi_aa_relativeto_y_village_avg = zeros(nobs,1);
output_village_total=zeros(nobs,1);
output_village_avg=zeros(nobs,1);
Pi_aa_village_total = zeros(nobs,1);

for i=1:nobs
    for j=1:nobs
        output_village_total(i)=output_village_total(i)+output(j,1); %sum of output in village op person i
        Pi_aa_village_total(i) = Pi_aa_village_total(i) + Profit_aa((i-1)*nobs+j,1); %sum of profit efficiency deviations for person i
    end
    output_village_avg(i,1)=output_village_total(i)/nobs;
    Pi_aa_relativeto_y_village_avg(i) = (Pi_aa_village_total(i)/nobs)/output_village_avg(i);
end

y_avg = [y_avg; output_village_avg];
Pi_aa_relativeto_y_avg =[Pi_aa_relativeto_y_avg ; Pi_aa_relativeto_y_village_avg];
end

output=Data(:,15);
col_header_12={'y' 'Pi_plus' 'Pi_min' 'village_id' 'Pi_plus_y_village_avg' 'Pi_min_y_village_avg' 'y_village_avg' 'Piaa_y_village_avg'};     %Row cell array (for column labels)
xlswrite('DeviationalVariables_RelativeTo_y_avg.xlsx',[output Profit_plus(:,1) Profit_min Profit_plus(:,1)./y_avg Profit_min(:,1)./y_avg y_avg Pi_aa_relativeto_y_avg],'Profit','A2');     %Write data
xlswrite('DeviationalVariables_RelativeTo_y_avg.xlsx',col_header_12,'Profit','A1');     %Write column header
